Module PhusionPassenger::Rails3Extensions::AnalyticsLogging::ASBenchmarkableExtension |
In: | lib/phusion_passenger/rails3_extensions/init.rb

Methods

- benchmark_with_passenger

Public Instance methods
benchmark_with_passenger(message = "Benchmarking", *args) {|| ...}

[ show source ]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 186
    186:                 def benchmark_with_passenger(message = "Benchmarking", *args)
    187:                         log = Thread.current[PASSENGER_ANALYTICS_WEB_LOG]
    188:                         if log
    189:                                 log.measure("BENCHMARK: #{message}") do
    190:                                         benchmark_without_passenger(message, *args) do
    191:                                                 yield
    192:                                         end
    193:                                 end
    194:                         else
    195:                                 benchmark_without_passenger(message, *args) do
    196:                                         yield
    197:                                 end
    198:                         end
    199:                 end